2018-12-16 04:23 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000164QElectroTechDiagram Editorpublic2018-08-05 18:29
Reporterbricofoy 
Assigned To 
PrioritynoneSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
Platform*OSubuntuOS Version10.04
Product VersionSVN/branches/0.x 
Target VersionFixed in VersionSVN/branches/0.x 
Summary0000164: Ajouter des variables pour le nom de fichier et son chemin dans le cartouche
DescriptionEst-il possible d'ajouter des vafiables (par exemple %filename et %filepath) utilisable dans les propriétés du cartouche pour remplir automatiquement la case "fichier" avec le nom et le chemin du fichier sur le disque ?
Remplir le nom à la main est fastidideux et source d'erreurs
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000350

scorpio810 (administrator)

Last edited: 2018-07-29 15:16

View 3 revisions

Ouvre ton projet, va dans l'onglet projets, click droit puis copier le chemin.
click droit puis propriété du projet.
"Ce titre sera disponible pour tous les folios de ce projet en tant que %projecttitle."

Quand à la case fichier c'est %filename comme variable dans le cartouche.

~0000351

scorpio810 (administrator)

Last edited: 2018-07-29 18:15

View 2 revisions

Automatique comme dans cette vidéo ?, enregistrer sous un autre chemin change automatiquement le titre du projet :

https://download.tuxfamily.org/qet/forum_img/__00000.webm

~0000352

bricofoy (reporter)

Alors je crois que je me suis mal exprimé

La variable %filename existante permet d'utiliser le contenu de la case "fichier" des propriétés dans le modèle de cartouche. OK, ça j'avais bien compris.
Et en effet je peux aussi copier le chemin manuellement dans cette case. C'est ce que je fais pour le moment. Le problème c'est que si on renomme ou déplace le fichier, soit par "enregistrer sous" soit de manière extérieure à QET, la valeur affichée dans le cartouche n'est alors plus le reflet de la réalité, et il faut la mettre à jour manuellement.
Et quand on a oublié de le faire, qu'on imprime le folio avec une valeur fausse, qu'on range cette impression dans le dossier ou dans l'armoire électrique, et que des mois plus tard il faut retrouver le bon fichier pour faire une modif... Ça devient compliqué.

C'est donc pour cela que je proposais d'introduire des variables supplémentaires utilisables soit directement dans les cases de la fenêtre "propriétés du folio" soit dans le modèle de cartouche, pour avoir justement le chemin et nom du fichier actuel sur le disque, et donc que ça se mette à jour automatiquement à chaque ouverture du fichier.
%filename étant déjà employé, disons %fileondisk et %filepath ?

~0000353

scorpio810 (administrator)

Last edited: 2018-08-05 17:26

View 2 revisions

Revision: 5463
Author: scorpio810
Date: 2018-08-05 17:04:15 +0200 (Sun, 05 Aug 2018)

Ajout de la variable cartouche "chemin du projet et nom du fichier" %projectpath.
"Enregistrer sous" un autre chemin ou un autre nom le projet : change dynamiquement cette variable dans tous les cartouches des folios du projet.

~0000354

scorpio810 (administrator)

Revision: 5464
Author: scorpio810
Date: 2018-08-05 18:27:14 +0200 (Sun, 05 Aug 2018)
Log Message:
-----------
title block editor : show 'projectfilename' as available value
+Notes

-Issue History
Date Modified Username Field Change
2018-07-26 11:00 bricofoy New Issue
2018-07-29 14:30 scorpio810 Note Added: 0000350
2018-07-29 14:33 scorpio810 File Added: paste_filepah.png
2018-07-29 14:36 scorpio810 File Added: paste_filepah2.png
2018-07-29 14:45 scorpio810 Note Edited: 0000350 View Revisions
2018-07-29 15:16 scorpio810 Note Edited: 0000350 View Revisions
2018-07-29 18:15 scorpio810 Note Added: 0000351
2018-07-29 18:15 scorpio810 Note Edited: 0000351 View Revisions
2018-08-04 13:33 bricofoy Note Added: 0000352
2018-08-05 17:21 scorpio810 Note Added: 0000353
2018-08-05 17:26 scorpio810 Note Edited: 0000353 View Revisions
2018-08-05 18:29 scorpio810 Note Added: 0000354
2018-08-05 18:29 scorpio810 Status new => resolved
2018-08-05 18:29 scorpio810 Resolution open => fixed
2018-08-05 18:29 scorpio810 Fixed in Version => SVN/branches/0.x
+Issue History